[SCM] Samba Shared Repository - branch master updated

Björn Jacke bjacke at samba.org
Thu Sep 13 18:43:04 MDT 2012


The branch, master has been updated
       via  88a5bff packaging: apply some solaris packaging fixes
       via  70bc936 autoconf: fix --with(out)-sendfile-support option handling
      from  86a4ca2 s3: make smbldaphelper subsystem an internal library

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 88a5bff88917d7e3013ced7e85d56a8ecdfeece4
Author: Björn Jacke <bj at sernet.de>
Date:   Fri Sep 14 00:25:38 2012 +0200

    packaging: apply some solaris packaging fixes
    
    Actually this might be outdated already. See bug #5670.
    Thanks to Michal Ludvig.
    
    Autobuild-User(master): Björn Jacke <bj at sernet.de>
    Autobuild-Date(master): Fri Sep 14 02:42:53 CEST 2012 on sn-devel-104

commit 70bc93650f86a76c6f1617139cb71539c76abf42
Author: Björn Jacke <bj at sernet.de>
Date:   Fri Sep 14 00:02:22 2012 +0200

    autoconf: fix --with(out)-sendfile-support option handling
    
    this fixes bug #8344

-----------------------------------------------------------------------

Summary of changes:
 packaging/Solaris/README     |   10 ++++------
 packaging/Solaris/makepkg.sh |   24 +++++++++++++-----------
 source3/configure.in         |   35 ++++++++++++++++++++---------------
 3 files changed, 37 insertions(+), 32 deletions(-)


Changeset truncated at 500 lines:

diff --git a/packaging/Solaris/README b/packaging/Solaris/README
index b8d0b2c..3e8435e 100644
--- a/packaging/Solaris/README
+++ b/packaging/Solaris/README
@@ -1,15 +1,13 @@
 
 INSTRUCTIONS: Preparing Samba packages for Solaris
 
+Make sure that your $PATH contains directories /usr/sfw/bin and /usr/ccs/bin
+
 To produce a package:
 
-* Type sh makepkg.sh
+* Type sh makepkg.sh build
 
 The package will be created in the /tmp directory.
 
-By default, the package will be built to install samba in /usr/local
+By default, the package will be built to install samba in /opt/samba
 To change the default, modify the INSTALL_BASE variable in makepkg.sh
-This is after you have configured samba with a --prefix option of the 
-alternate samba location and then created the binaries.
-
-
diff --git a/packaging/Solaris/makepkg.sh b/packaging/Solaris/makepkg.sh
index f038d32..b40320d 100644
--- a/packaging/Solaris/makepkg.sh
+++ b/packaging/Solaris/makepkg.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -e
 #
 # Copyright (C) Shirish A Kalele 2000
 # Copyright (C) Gerald Carter    2004
@@ -50,13 +50,9 @@ add_dynamic_entries()
 	
 	echo "#\n# libsmbclient\n#"
 	echo f none lib/libsmbclient.so 0755 root other
-	echo f none lib/libsmbclient.a 0755 root other
 	echo f none include/libsmbclient.h 0644 root other
 
 	echo "#\n# libmsrpc\n#"
-	echo f none lib/libmsrpc.so 0755 root other
-	echo f none lib/libmsrpc.a 0755 root other
-	echo f none include/libmsrpc.h 0644 root other
 
 	if [ -f lib/smbwrapper.so -a -f bin/smbsh ]; then
 		echo "#\n# smbwrapper\n#"
@@ -76,17 +72,19 @@ add_dynamic_entries()
 	echo "#\n# man pages \n#"
 
 	# Create directories for man page sections if nonexistent
-	cd man
+	cd share/man
 	for i in 1 2 3 4 5 6 7 8 9; do
+		set +e
 		manpages=`ls man$i 2>/dev/null`
+		set -e
 		if [ $? -eq 0 ]; then
-			echo d none man/man${i} ? ? ?
+			echo d none share/man/man${i} ? ? ?
 			for manpage in $manpages; do
-				echo f none man/man${i}/${manpage} 0644 root other
+				echo f none share/man/man${i}/${manpage} 0644 root other
 			done
 		fi
 	done
-	cd ..
+	cd ../..
 
 	echo "#\n# SWAT \n#"
 	list=`find swat -type d | grep -v "/.svn$"`
@@ -128,7 +126,7 @@ echo "Install directory:  $INSTALL_BASE"
 
 cd $DISTR_BASE/source
 
-if test "x$1" = "xbuild" ]; then
+if test "x$1" = "xbuild" -o ! -f bin/smbd ]; then
 	./configure --prefix=$INSTALL_BASE \
 		--localstatedir=/var/lib/samba \
 		--with-piddir=/var/run \
@@ -136,6 +134,7 @@ if test "x$1" = "xbuild" ]; then
 		--with-privatedir=/etc/samba/private \
 		--with-configdir=/etc/samba \
 		--with-lockdir=/var/lib/samba \
+		--with-mandir=/usr/share/man \
 		--with-pam --with-acl-support \
 		--with-quotas --with-included-popt \
 	&& make
@@ -146,7 +145,8 @@ if test "x$1" = "xbuild" ]; then
 	fi
 fi
 	
-mkdir $TMPINSTALLDIR
+rm -rf $TMPINSTALLDIR
+mkdir -p $TMPINSTALLDIR
 make DESTDIR=$TMPINSTALLDIR install
 
 ## clear out *.old
@@ -155,6 +155,8 @@ find $TMPINSTALLDIR -name \*.old |while read x; do rm -rf "$x"; done
 ##
 ## Now get the install locations
 ##
+LD_LIBRARY_PATH=$DISTR_BASE/source/bin
+export LD_LIBRARY_PATH
 SBINDIR=`bin/smbd -b | grep SBINDIR | awk '{print $2}'`
 BINDIR=`bin/smbd -b | grep BINDIR | grep -v SBINDIR |  awk '{print $2}'`
 SWATDIR=`bin/smbd -b | grep SWATDIR | awk '{print $2}'`
diff --git a/source3/configure.in b/source3/configure.in
index e6a1310..a6cc444 100644
--- a/source3/configure.in
+++ b/source3/configure.in
@@ -5443,16 +5443,23 @@ fi
 #################################################
 # check for sendfile support
 
-with_sendfile_support=yes
-AC_MSG_CHECKING(whether to check to support sendfile)
+AC_MSG_CHECKING(whether sendfile support should be built in)
 AC_ARG_WITH(sendfile-support,
-[AS_HELP_STRING([--with-sendfile-support], [Check for sendfile support (default=yes)])],
+[AS_HELP_STRING([--with-sendfile-support], [Whether sendfile support should be built in (default=auto)])],
 [ case "$withval" in
-  yes)
-
-	AC_MSG_RESULT(yes);
+  yes|no)
+	AC_MSG_RESULT($withval);
+	with_sendfile_support=$withval
+	;;
+  *)
+	AC_MSG_RESULT(yes)
+	with_sendfile_support=auto
+	;;
+  esac ],
+)
 
-	case "$host_os" in
+if test x$with_sendfile_support != xno ; then
+    case "$host_os" in
 	*linux* | gnu* | k*bsd*-gnu | kopensolaris*-gnu)
 		AC_CACHE_CHECK([for linux sendfile support],samba_cv_HAVE_SENDFILE,[
 		AC_TRY_LINK([#include <sys/sendfile.h>],
@@ -5629,14 +5636,12 @@ samba_cv_HAVE_SENDFILE=yes,samba_cv_HAVE_SENDFILE=no)])
 	;;
 	*)
 	;;
-        esac
-        ;;
-  *)
-    AC_MSG_RESULT(no)
-    ;;
-  esac ],
-  AC_MSG_RESULT(yes)
-)
+    esac
+fi
+
+if test x$with_sendfile_support = xyes -a x"$samba_cv_HAVE_SENDFILE" != xyes ; then
+	AC_MSG_ERROR(sendfile support requested but sendfile not available )
+fi
 
 ############################################
 # See if we have the Linux readahead syscall.


-- 
Samba Shared Repository


More information about the samba-cvs mailing list